gnutls_ocsp_resp_export(3)

NAME
gnutls_ocsp_resp_export - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_export(gnutls_ocsp_resp_t resp, gnutls_datum_t * data);

ARGUMENTS

gnutls_ocsp_resp_t resp
    Holds the OCSP response

gnutls_datum_t * data
    newly allocate buffer holding DER encoded OCSP response

DESCRIPTION
This function will export the OCSP response to DER format.

RETURNS
In case of failure a negative error code will be returned, and 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/